# backup_type.hpp File Reference

Class for backupping variables and making sure they are restored later. More...

`#include "../debug.h"`

Go to the source code of this file.

## Data Structures
struct | Backup< T >
| Class to backup a specific variable and restore it later. More...

## Detailed Description

Class for backupping variables and making sure they are restored later.

Definition in file backup_type.hpp.